SKILL(1)

NUME
skill, snice – trimite un semnal sau raportează starea procesului

REZUMAT
skill [semnal] [opțiuni] expresie
snice [nouă_prioritate] [opțiuni] expresie

DESCRIERE
Aceste instrumente sunt învechite și neportabile. Sintaxa comenzii este prost definită. Luați în considerare utilizarea comenzilor killall, pkill și pgrep.

Semnalul implicit pentru skill este TERM. Folosiți opțiunile „-l sau -L pentru a lista semnalele disponibile. Printre cele mai utile semnale, sunt: HUP, INT, KILL, STOP, CONT și 0. Semnalele pot fi specificate în trei moduri: -9, -SIGKILL și -KILL.

Prioritatea implicită pentru snice este +4. Numerele de prioritate variază de la +20 (cel mai lent) la -20 (cel mai rapid). Numerele cu prioritate negativă sunt limitate la utilizatorii administrativi.

OPȚIUNI

-f, --fast
    Modul rapid. Această opțiune nu a fost implementată.

-i, --interactive
    Utilizare interactivă. Vi se va solicita să aprobați fiecare acțiune.

-l, --list
    Listează toate numele semnalelor.

-L, -table
    Listează toate numele semnalelor într-un tabel ordonat.

-n, --no-action
    Nicio acțiune; efectuează o simulare a evenimentelor care ar avea loc, dar nu schimbă de fapt sistemul.

-v, --verbose
    Informații detaliate; explică ce se face.

-w, --warnings
    Activează avertismentele. Această opțiune nu a fost implementată.

-h, --help
    Afișează acest mesaj de ajutor.

-V, --version
    Afișați informațiile despre versiune.

OPȚIUNI DE SELECTARE A PROCESULUI
Criteriile de selecție pot fi: terminal, user, pid, command. Opțiunile de mai jos pot fi utilizate pentru a asigura o interpretare corectă.

-t, --tty tty
    Următoarea expresie este un terminal (tty sau pty).

-u, --user utilizator
    Următoarea expresie este un nume de utilizator.

-p, --pid pid
    Următoarea expresie este un număr de identificare a procesului.

-c, --command comanda
    Următoarea expresie este un nume de comandă.

--ns pid
    Potrivește procesele care aparțin aceluiași spațiu de nume ca pid.

--nslist ns,...
    listează spațiile de nume care vor fi luate în considerare pentru opțiunea --ns. Spațiile de nume disponibile, sunt: ipc, mnt, net, pid, user, uts.

SEMNALE
Comportamentul semnalelor este explicat în pagina de manual signal(7).

EXEMPLE

snice -c seti -c crack +7
    +Încetinește comenzile seti și crack.

skill -KILL -t /dev/pts/*
    Omoară sesiunile de utilizator pe dispozitivele PTY.

skill -STOP -u viro -u lm -u davem
    Oprește trei utilizatori.

CONSULTAȚI ȘI
kill(1), kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7)

STANDARDE
Nu este respectat niciun standard.

AUTOR
Albert Cahalan (albert@users.sf.net) a scris «skill» și «snice» în 1999 pentru a înlocui versiunile care nu erau libere.

RAPORTAREA ERORILOR
Trimiteți rapoartele de eroare la procps@freelists.org